import { select, arc } from 'd3';
const svg = select('svg');

const width = +svg.attr('width'); // + je zkratka parseFloat (convert to Number)
const height = +svg.attr('height');

const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height/2})`); // proměnné v textu

const circle = g.append('circle')
	.attr('r', height/2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 120;
const eyeYOffset = -70;
const eyeRadius = 30;
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowYOffset = -70;
const mouthOuterRad = 170;
const teethWidth = 30;
const teethHeight = 50;
const teethFill = 'white';
const teethStroke = 'blue';

const eyesG = g
	.append('g')
		.attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing)
    .attr('stroke', 'black');

const rightEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing)
    .attr('stroke', 'black');

const eyesbrowsG = eyesG
	.append('g')
		.attr('transform', `translate(0, ${eyebrowYOffset})`);

eyesbrowsG
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset})`)

const leftEyebrow = eyesbrowsG
	.append('rect')
    .attr('x', eyeSpacing-eyebrowWidth/2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyesbrowsG
	.append('rect')
    .attr('x', -eyeSpacing-eyebrowWidth/2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)

const mounth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: mouthOuterRad,
      startAngle: Math.PI/2,
      endAngle: Math.PI *6/4
   }));
    
const nose = g
	.append('path')
    .attr('d',arc()({
      innerRadius: 10,
      outerRadius: 50,
      startAngle: 1.5,
      endAngle: Math.PI * 2       
  }))
		.attr('fill', 'red')
		.attr('stroke', 'green')
	.transition().duration(2000)

const teeth = g
	.append('rect')
    .attr('x', -15)
    .attr('y', mouthOuterRad)
    .attr('width', teethWidth)
    .attr('height', teethHeight)
    .attr('fill', teethFill)
    .attr('stroke', teethStroke)
    .attr('transform', 'rotate(85)')
	.transition().duration(2000)
		.attr('transform', 'rotate(-85)')
	.transition().duration(2000)
		.attr('transform', 'rotate(85)')

const cigarette = g
	.append('rect')
		.attr('x', 0)
		.attr('y', 167)
		.attr('width', 20)
    .attr('height', 200)
    .attr('fill', 'red')
    .attr('stroke', teethStroke)
    .attr('transform', 'rotate(70) scale(2 1)'